Subject: Re: [PATCH net-next 1/2] net: pcs: xpcs: enable skip xPCS soft reset

From: Wong Vee Khee <[email-masked]>
Date: Thu, 26 Aug 2021 19:50:14 +0800

On Wed, Aug 11, 2021 at 04:20:56PM +0200, Andrew Lunn wrote:
> > > BIOS does configured the SerDes. The problem here is that all the
> > > configurations done by BIOS are being reset at xpcs_create().
> > > 
> > > We would want user of the pcs-xpcs module (stmmac, sja1105) to have
> > > control whether or not we need to perform to the soft reset in the
> > > xpcs_create() call.
> > 
> > I understood Andrew's response as suggesting to introduce the ability for
> > xpcs_create() to make a BIOS call which would configure the SerDes after
> > xpcs_soft_reset().
> 
> Yes. Exactly. That is what ACPI is for, so we should use it for this.
> 
>      Andrew

Thanks Florian for the explaination.

I have checked with the BIOS developers and they did not implmenet a
method to this at the kernel level.

Also, Intel AlderLake has both UEFI BIOS and Slim Bootloader which
make it least feasible to go for the ACPI method as per suggested.

Regards,
  VK